Index: quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/quintagroup.seoptimizer.pot
===================================================================
--- quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/quintagroup.seoptimizer.pot	(revision 2129)
+++ quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/quintagroup.seoptimizer.pot	(revision 2130)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-03-11 12:59+0000\n"
+"POT-Creation-Date: 2010-04-16 10:07+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -18,184 +18,217 @@
 "Domain: quintagroup.seoptimizer\n"
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:131
+#: ./browser/seo_configlet.py:188
 msgid ""
 msgstr ""
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:38
+#: ./browser/keywords.py:40
 msgid "Could not find lynx browser!"
 msgstr ""
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:27
+#: ./browser/keywords.py:28
 msgid "Keywords list is empty!"
 msgstr ""
 
-#. Default: "SEO Properties"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/default/actions.xml
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/upgrade_2_to_3/actions.xml
+#: ./profiles/default/actions.xml
+#: ./profiles/upgrade_2_to_3/actions.xml
 msgid "SEO Properties"
 msgstr ""
 
-#. Default: "Search Engine Optimizer"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/default/controlpanel.xml
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/upgrade_2_to_3/controlpanel.xml
+#: ./profiles/default/controlpanel.xml
+#: ./profiles/upgrade_2_to_3/controlpanel.xml
 msgid "Search Engine Optimizer"
 msgstr ""
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:126
+#: ./browser/seo_configlet.py:183
 msgid "Search Engine Optimizer configuration"
 msgstr ""
 
-#. Default: "Canonical URL mast be in ${pdomain} domain."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/views.py:166
-msgid "canonical_msg"
-msgstr ""
-
 #. Default: "This form allows you to edit html header meta tags that are produced by Plone CMS to incrase Search Engine visibility. The values generated by Plone are present as default values in input fields. To override default value, check corresponding checkbox and input value itself in the corresponding field."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:36
+#: ./browser/templates/seo_context_properties.pt:34
 msgid "description_edit_seo_properties"
 msgstr ""
 
 #. Default: "Select content types that will have SEO properties enabled."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:50
+#: ./browser/seo_configlet.py:49
 msgid "description_seo_content_types"
 msgstr ""
 
 #. Default: "Controls if <abbr title=\"Dublin Core\">DC</abbr> metatags are exposed to page header. They include DC.description, DC.type, DC.format, DC.creator and others."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:31
+#: ./browser/seo_configlet.py:30
 msgid "description_seo_dc_metatags"
 msgstr ""
 
 #. Default: "Edit SEO Properties"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:35
+#: ./browser/templates/seo_context_properties.pt:33
 msgid "heading_edit_seo_properties"
 msgstr ""
 
+#. Default: "This JavaScript code will be included in the rendered HTML as entered in the page header."
+#: ./browser/seo_configlet.py:70
+msgid "help_custom_script"
+msgstr ""
+
 #. Default: "Fill in custom metatag names (one per line) which will appear on qseo_properties edit tab. Example: \"metaname|metacontent\" or \"metaname\"."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:60
+#: ./browser/seo_configlet.py:59
 msgid "help_default_custom_metatags"
 msgstr ""
 
+#. Default: "Fill in filds (one per line) which statistics of keywords usageshould be calculated for."
+#: ./browser/seo_configlet.py:78
+msgid "help_fields"
+msgstr ""
+
 #. Default: "Fill in meta tags (one per line) in the order in which they will appear on site source pages. Example: \"metaname accessor\"."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:42
+#: ./browser/seo_configlet.py:41
 msgid "help_metatags_order"
 msgstr ""
 
 #. Default: "Specify your canonical URL. If your site has identical or vastly similar content that's accessible through multiple URLs, this format provides you with more control over the URL returned in search results."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:238
+#: ./browser/templates/seo_context_properties.pt:236
 msgid "help_seo_canonical"
 msgstr ""
 
 #. Default: "Here you can manage your custom meta tags. Specify local Meta Tags parameters to be added to the global Meta Tags. If metacontent field is empty, then a meta tag will not be present on this page."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:271
+#: ./browser/templates/seo_context_properties.pt:268
 msgid "help_seo_custommetatags"
 msgstr ""
 
 #. Default: "Description of the document to be indexed by Search Engines. This text will be present in meta description tag in page HTML source."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:88
+#: ./browser/templates/seo_context_properties.pt:86
 msgid "help_seo_description"
 msgstr ""
 
 #. Default: "Distribution meta tag to designate time and area distribution of the document."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:207
+#: ./browser/templates/seo_context_properties.pt:205
 msgid "help_seo_distribution"
 msgstr ""
 
 #. Default: "Comments embedded into HTML header."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:151
+#: ./browser/templates/seo_context_properties.pt:149
 msgid "help_seo_html_comment"
 msgstr ""
 
 #. Default: "Keywords, the page will be indexed with. <strong>Enter each keyword in separate line, please.</strong> Though the relevance of listing meta keywords is of questionable value now, it is useful to set meta keywords for pages - for future reference.<br />Use 'Check Keywords' button to check whether words you entered in this block as SEO keywords are present in content."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:116
+#: ./browser/templates/seo_context_properties.pt:114
 msgid "help_seo_keywords"
 msgstr ""
 
 #. Default: "Robots meta tag value. Allows or denies indexing, following links, etc. for spiders indexing your content."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:178
+#: ./browser/templates/seo_context_properties.pt:176
 msgid "help_seo_robots"
 msgstr ""
 
 #. Default: "Text to be present in &lt;TITLE&gt; tag. It is displayed in browser title bar. Search engines display it as a title of the document."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:58
+#: ./browser/templates/seo_context_properties.pt:56
 msgid "help_seo_title"
 msgstr ""
 
+#. Default: "Fill in stop words (one per line) which will be excluded from kewords statistics calculation."
+#: ./browser/seo_configlet.py:85
+msgid "help_stop_words"
+msgstr ""
+
 #. Default: "Canonical URL"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:235
+#: ./browser/templates/seo_context_properties.pt:233
 msgid "label_canonical_tag"
 msgstr ""
 
 #. Default: "Content Types"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:49
+#: ./browser/seo_configlet.py:48
 msgid "label_content_type_title"
 msgstr ""
 
 #. Default: "Custom Meta Tags"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:268
+#: ./browser/templates/seo_context_properties.pt:265
 msgid "label_custom_metatags"
 msgstr ""
 
+#. Default: "Header JavaScript"
+#: ./browser/seo_configlet.py:69
+msgid "label_custom_script"
+msgstr ""
+
 #. Default: "Default custom metatags."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:59
+#: ./browser/seo_configlet.py:58
 msgid "label_default_custom_metatags"
 msgstr ""
 
 #. Default: "Distribution Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:204
+#: ./browser/templates/seo_context_properties.pt:202
 msgid "label_distribution_tag"
 msgstr ""
 
 #. Default: "Expose <abbr title=\"Dublin Core\">DC</abbr> meta tags"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:29
+#: ./browser/seo_configlet.py:28
 msgid "label_exposeDCMetaTags"
 msgstr ""
 
+#. Default: "Fields for keywords statistic calculation."
+#: ./browser/seo_configlet.py:77
+msgid "label_fields"
+msgstr ""
+
 #. Default: "HTML Comment"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:148
+#: ./browser/templates/seo_context_properties.pt:146
 msgid "label_html_comment"
 msgstr ""
 
 #. Default: "Meta Description Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:85
+#: ./browser/templates/seo_context_properties.pt:83
 msgid "label_meta_description_tag"
 msgstr ""
 
 #. Default: "Meta Keywords Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:113
+#: ./browser/templates/seo_context_properties.pt:111
 msgid "label_meta_keywords_tag"
 msgstr ""
 
 #. Default: "Meta tags order in the page."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:40
+#: ./browser/seo_configlet.py:39
 msgid "label_metatags_order"
 msgstr ""
 
 #. Default: "Override"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:70
+#: ./browser/templates/seo_context_properties.pt:68
 msgid "label_override"
 msgstr ""
 
 #. Default: "Page Title Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:55
+#: ./browser/templates/seo_context_properties.pt:53
 msgid "label_page_title_tag"
 msgstr ""
 
 #. Default: "Robot Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:175
+#: ./browser/templates/seo_context_properties.pt:173
 msgid "label_robot_tag"
 msgstr ""
 
+#. Default: "Advanced"
+#: ./browser/seo_configlet.py:170
+msgid "label_seoadvanced"
+msgstr ""
+
+#. Default: "Base"
+#: ./browser/seo_configlet.py:166
+msgid "label_seobase"
+msgstr ""
+
+#. Default: "Stop words."
+#: ./browser/seo_configlet.py:84
+msgid "label_stop_words"
+msgstr ""
+
 #. Default: "Number of keywords at page:\n${result}"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:47
+#: ./browser/keywords.py:49
 msgid "number_keywords"
 msgstr ""
 
 #. Default: "You can select what content types are qSEOptimizer-enabled, and control if Dublin Core metatags are exposed in the header of content pages."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:127
+#: ./browser/seo_configlet.py:184
 msgid "seo_configlet_description"
 msgstr ""
 
 #. Default: "Content SEO properties have been saved."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/views.py:271
+#: ./browser/views.py:291
 msgid "seoproperties_saved"
 msgstr ""
Index: quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po
===================================================================
--- quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 2129)
+++ quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 2130)
@@ -18,170 +18,205 @@
 "Domain: quintagroup.seoptimizer\n"
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:38
+#: ./browser/keywords.py:40
 msgid "Could not find lynx browser!"
 msgstr ""
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:27
+#: ./browser/keywords.py:28
 msgid "Keywords list is empty!"
 msgstr "Список ключових слів порожній!"
 
 #. Default: "SEO Properties"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/default/actions.xml
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/upgrade_2_to_3/actions.xml
+#: ./profiles/default/actions.xml
+#: ./profiles/upgrade_2_to_3/actions.xml
 msgid "SEO Properties"
 msgstr "SEO налаштування"
 
 #. Default: "Search Engine Optimizer"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/default/controlpanel.xml
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/profiles/upgrade_2_to_3/controlpanel.xml
+#: ./profiles/default/controlpanel.xml
+#: ./profiles/upgrade_2_to_3/controlpanel.xml
 msgid "Search Engine Optimizer"
 msgstr ""
 
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:126
+#: ./browser/seo_configlet.py:183
 msgid "Search Engine Optimizer configuration"
 msgstr ""
 
-#. Default: "Canonical URL mast be in ${pdomain} domain."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/views.py:166
-msgid "canonical_msg"
-msgstr "Canonical URL повинен знаходитись в домені \"${pdomain}\"."
-
 #. Default: "This form allows you to edit html header meta tags that are produced by Plone CMS to incrase Search Engine visibility. The values generated by Plone are present as default values in input fields. To override default value, check corresponding checkbox and input value itself in the corresponding field."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:36
+#: ./browser/templates/seo_context_properties.pt:34
 msgid "description_edit_seo_properties"
 msgstr "Ця форма дозволяє редагувати мета теґи, які генерує СКВ Plone, з метою збільшення видимості сайту для пошукових систем. Значення, які генерує Plone по замовчуванню, введено у відповідних полях. Щоб перекрити значення за замовчуванням, поставте галочку біля відповідного поля та введіть потрібне значення."
 
 #. Default: "Select content types that will have SEO properties enabled."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:50
+#: ./browser/seo_configlet.py:49
 msgid "description_seo_content_types"
 msgstr "Виберіть типи вмісту, для яких буде можливо прописувати SEO властивості."
 
 #. Default: "Controls if <abbr title=\"Dublin Core\">DC</abbr> metatags are exposed to page header. They include DC.description, DC.type, DC.format, DC.creator and others."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:31
+#: ./browser/seo_configlet.py:30
 msgid "description_seo_dc_metatags"
 msgstr "Чи показувати <abbr title=\"Dublin Core\">DC</abbr> мета теґи в коді сторінки, включаючи такі мета теґи,  як DC.description, DC.type, DC.format, DC.creator тощо."
 
 #. Default: "Edit SEO Properties"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:35
+#: ./browser/templates/seo_context_properties.pt:33
 msgid "heading_edit_seo_properties"
 msgstr "Редагувати властивості SEO"
 
+#. Default: "This JavaScript code will be included in the rendered HTML as entered in the page header."
+#: ./browser/seo_configlet.py:70
+msgid "help_custom_script"
+msgstr ""
+
 #. Default: "Fill in custom metatag names (one per line) which will appear on qseo_properties edit tab. Example: \"metaname|metacontent\" or \"metaname\"."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:60
+#: ./browser/seo_configlet.py:59
 msgid "help_default_custom_metatags"
 msgstr "Введіть назви додаткових мета теґів (по 1 в кожному рядку), які з'являться при редагуванні  SEO властивостей об'єктів сайту. Наприклад: \ \"metaname | metacontent \" або \ \"metaname \"."
 
+#. Default: "Fill in filds (one per line) which statistics of keywords usageshould be calculated for."
+#: ./browser/seo_configlet.py:78
+msgid "help_fields"
+msgstr ""
+
 #. Default: "Fill in meta tags (one per line) in the order in which they will appear on site source pages. Example: \"metaname accessor\"."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:42
+#: ./browser/seo_configlet.py:41
 msgid "help_metatags_order"
 msgstr "Ввведіть по 1 мета теґу в рядок у тому порядку, в якому вони будуть з'являтися при перегляді коду сторінки. Наприклад: \ \"metaname accessor\"."
 
 #. Default: "Specify your canonical URL. If your site has identical or vastly similar content that's accessible through multiple URLs, this format provides you with more control over the URL returned in search results."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:238
+#: ./browser/templates/seo_context_properties.pt:236
 msgid "help_seo_canonical"
 msgstr "Вкажіть canonical URL. Якщо на Вашому сайті є ідентичні або дуже схожі за вмістом сторінки, доступні за кількома URL-адресами, це поле забезпечить Вам більший контроль над тією URL-адресою, яка відображатиметься  в результатах пошуку."
 
 #. Default: "Here you can manage your custom meta tags. Specify local Meta Tags parameters to be added to the global Meta Tags. If metacontent field is empty, then a meta tag will not be present on this page."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:271
+#: ./browser/templates/seo_context_properties.pt:268
 msgid "help_seo_custommetatags"
 msgstr "Тут ви можете управляти додатковими мета теґами. Вкажіть параметри локальних мета теґів, які буде додано до глобальних мета-теґів. Якщо поле metacontent - пусте, то такий мета теґ не буде показано на цій сторінці."
 
 #. Default: "Description of the document to be indexed by Search Engines. This text will be present in meta description tag in page HTML source."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:88
+#: ./browser/templates/seo_context_properties.pt:86
 msgid "help_seo_description"
 msgstr "Опис документа, який будуть використовувати пошукові системи. Цей текст буде присутній в мета тезі description в коді сторінки."
 
 #. Default: "Distribution meta tag to designate time and area distribution of the document."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:207
+#: ./browser/templates/seo_context_properties.pt:205
 msgid "help_seo_distribution"
 msgstr "Мета теґ Distribution використовується для позначення часу та місця розповсюдження документа."
 
 #. Default: "Comments embedded into HTML header."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:151
+#: ./browser/templates/seo_context_properties.pt:149
 msgid "help_seo_html_comment"
 msgstr "Коментарі, додані в HTML заголовок."
 
 #. Default: "Keywords, the page will be indexed with. <strong>Enter each keyword in separate line, please.</strong> Though the relevance of listing meta keywords is of questionable value now, it is useful to set meta keywords for pages - for future reference.<br />Use 'Check Keywords' button to check whether words you entered in this block as SEO keywords are present in content."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:116
+#: ./browser/templates/seo_context_properties.pt:114
 msgid "help_seo_keywords"
 msgstr "Ключові слова, по яких сторінку буде проіндексовано. <strong>Буль-ласка, введіть кожне ключове слово в окремому рядку.</strong> <br /> Використовуйте кнопку 'Check Keywords', щоб перевірити чи слова, які ви вказали в цьому блоці, є наявні на сторінці."
 
 #. Default: "Robots meta tag value. Allows or denies indexing, following links, etc. for spiders indexing your content."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:178
+#: ./browser/templates/seo_context_properties.pt:176
 msgid "help_seo_robots"
 msgstr "Значення мета теґу Robots. Дозволяє або забороняє індексування, перехід за посиланнями тощо."
 
 #. Default: "Text to be present in &lt;TITLE&gt; tag. It is displayed in browser title bar. Search engines display it as a title of the document."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:58
+#: ./browser/templates/seo_context_properties.pt:56
 msgid "help_seo_title"
 msgstr "Текст, який буде показано в тезі  &lt;TITLE&gt;. Його буде видно у заголовку переглядача. Пошукові системи відображатимуть цей текст як назву документа."
 
+#. Default: "Fill in stop words (one per line) which will be excluded from kewords statistics calculation."
+#: ./browser/seo_configlet.py:85
+msgid "help_stop_words"
+msgstr ""
+
 #. Default: "Canonical URL"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:235
+#: ./browser/templates/seo_context_properties.pt:233
 msgid "label_canonical_tag"
 msgstr ""
 
 #. Default: "Content Types"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:49
+#: ./browser/seo_configlet.py:48
 msgid "label_content_type_title"
 msgstr "Типи вмісту"
 
 #. Default: "Custom Meta Tags"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:268
+#: ./browser/templates/seo_context_properties.pt:265
 msgid "label_custom_metatags"
 msgstr "Додаткові мета теґи"
 
+#. Default: "Header JavaScript"
+#: ./browser/seo_configlet.py:69
+msgid "label_custom_script"
+msgstr ""
+
 #. Default: "Default custom metatags."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:59
+#: ./browser/seo_configlet.py:58
 msgid "label_default_custom_metatags"
 msgstr "Додаткові мета теґи"
 
 #. Default: "Distribution Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:204
+#: ./browser/templates/seo_context_properties.pt:202
 msgid "label_distribution_tag"
 msgstr "Мета теґ Distribution"
 
 #. Default: "Expose <abbr title=\"Dublin Core\">DC</abbr> meta tags"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:29
+#: ./browser/seo_configlet.py:28
 msgid "label_exposeDCMetaTags"
 msgstr "Показувати мета теґи <abbr title=\"Dublin Core\">DC</abbr>"
 
+#. Default: "Fields for keywords statistic calculation."
+#: ./browser/seo_configlet.py:77
+msgid "label_fields"
+msgstr ""
+
 #. Default: "HTML Comment"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:148
+#: ./browser/templates/seo_context_properties.pt:146
 msgid "label_html_comment"
 msgstr "Коментар HTML"
 
 #. Default: "Meta Description Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:85
+#: ./browser/templates/seo_context_properties.pt:83
 msgid "label_meta_description_tag"
 msgstr "Мета теґ Description"
 
 #. Default: "Meta Keywords Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:113
+#: ./browser/templates/seo_context_properties.pt:111
 msgid "label_meta_keywords_tag"
 msgstr "Мета теґ Keywords"
 
 #. Default: "Meta tags order in the page."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:40
+#: ./browser/seo_configlet.py:39
 msgid "label_metatags_order"
 msgstr "Порядок мета теґів на сторінці."
 
 #. Default: "Override"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:70
+#: ./browser/templates/seo_context_properties.pt:68
 msgid "label_override"
 msgstr "Перекрити"
 
 #. Default: "Page Title Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:55
+#: ./browser/templates/seo_context_properties.pt:53
 msgid "label_page_title_tag"
 msgstr "Мета теґ Title"
 
 #. Default: "Robot Tag"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:175
+#: ./browser/templates/seo_context_properties.pt:173
 msgid "label_robot_tag"
 msgstr "Мета теґ Robot"
 
+#. Default: "Advanced"
+#: ./browser/seo_configlet.py:170
+msgid "label_seoadvanced"
+msgstr ""
+
+#. Default: "Base"
+#: ./browser/seo_configlet.py:166
+msgid "label_seobase"
+msgstr ""
+
+#. Default: "Stop words."
+#: ./browser/seo_configlet.py:84
+msgid "label_stop_words"
+msgstr ""
+
 #. Default: "Number of keywords at page:\n${result}"
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/keywords.py:47
+#: ./browser/keywords.py:49
 msgid "number_keywords"
 msgstr ""
@@ -190,10 +225,10 @@
 
 #. Default: "You can select what content types are qSEOptimizer-enabled, and control if Dublin Core metatags are exposed in the header of content pages."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/seo_configlet.py:127
+#: ./browser/seo_configlet.py:184
 msgid "seo_configlet_description"
 msgstr "Тут Ви можете вибрати, які типи вмісту матимуть можливіть налаштування SEO властивостей, а також налаштувати інші SEO параметри на Вашому сайті."
 
 #. Default: "Content SEO properties have been saved."
-#: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/views.py:271
+#: ./browser/views.py:291
 msgid "seoproperties_saved"
 msgstr "SEO властивості збереженно."