Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: \n"
@@ -59,4 +59,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Héctor Velarde <hvelarde@jornada.com.mx>\n"
@@ -59,4 +59,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2006-11-10 08:59-0500\n"
 "Last-Translator: Nicole Turgeon-Courchesne <nicole@motspourmaux.com>\n"
@@ -59,4 +59,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Yuri Carrer <yurj@alfa.it>\n"
@@ -59,4 +59,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -4,5 +4,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: Kees Hink\n"
@@ -58,4 +58,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2008-07-18 03:51-0300\n"
 "Last-Translator: Érico Andrei <erico@simplesconsultoria.com.br>\n"
@@ -56,4 +56,8 @@
 msgstr "Por favor, selecione os itens a serem processados."
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 2131)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -58,4 +58,8 @@
 msgstr ""
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr ""
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2130)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2131)
@@ -7,5 +7,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2010-04-08 15:31+0000\n"
+"POT-Creation-Date: 2010-04-09 11:27+0000\n"
 "PO-Revision-Date: 2008-09-22 10:55+0300\n"
 "Last-Translator: Olha <olha.pelishok@gmail.com>\n"
@@ -62,4 +62,8 @@
 msgstr "Будь-ласка, відзначте коментарі для подальшого опрацювання."
 
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:30
+msgid "Please submit a message."
+msgstr "Будь ласка, введіть повідомлення."
+
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23