Index: quintagroup.canonicalpath/trunk/README.txt
===================================================================
--- quintagroup.canonicalpath/trunk/README.txt	(revision 2151)
+++ quintagroup.canonicalpath/trunk/README.txt	(revision 2154)
@@ -2,3 +2,43 @@
 ============
 
+quintagroup.canonicalpath package brings canonical path calculation 
+functionality to Plone. The package allows to define path and/or link 
+to the object, which may differ from standard physical path or its URL
+in portal.
 
+It's used by such products as quintagroup.seoptimizer (for defining
+canonical link of the object) and quintagroup.plonegooglesitemaps (on
+google sitemaps generation).
+
+This package is intended for bringing *canonical_path* and/or
+*canonical_link* property to any traversable object. For that purpose
+it defines ICanonicalPath and ICanonicalLink interfaces, and registers
+basic adapters for ITraversable objects.
+
+This package also registers *canonical_path* and *canonical_link* indexes
+for possible usage in catalog (ZCatalog).
+
+Default adapters behaviour:
+
+- *canonical_path* returns path from portal root, i.e. for
+    `/plone/front-page` *canonical_path* will be `/front-page`.
+
+- *canonical_link* returns absoulute url of the object.
+
+
+Supported Plone version
+-----------------------
+
+* 3.x
+
+
+Authors
+-------
+
+The product was developed by Quintagroup.com team:
+
+* Andriy Mylenkyi
+* Taras Melnychuk
+* Volodymyr Cherepanyak
+
+Copyright (c) "Quintagroup": http://quintagroup.com, 2004-2010
Index: quintagroup.canonicalpath/trunk/docs/HISTORY.txt
===================================================================
--- quintagroup.canonicalpath/trunk/docs/HISTORY.txt	(revision 2151)
+++ quintagroup.canonicalpath/trunk/docs/HISTORY.txt	(revision 2154)
@@ -2,5 +2,5 @@
 =========
 
-0.6 (unreleased)
+0.6 (2010-04-20)
 ----------------
 
Index: quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/README.txt
===================================================================
--- quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/README.txt	(revision 2151)
+++ quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/README.txt	(revision 2154)
@@ -1,22 +1,21 @@
-quintagroup.canonicalpath Package Readme
-========================================
+quintagroup.canonicalpath package brings canonical path calculation 
+functionality to Plone. The package allows to define path and/or link 
+to the object, which may differ from standard physical path or its URL
+in portal.
 
-The package serves for possibility to define path and/or link for the
-object, which may differ from standard Physical path or URL in portal.
-It's uses by such products as quintagroup.seoptimizer (for defining
-canonical link of the object), quintagroup.plonegooglesitemaps (on
+It's used by such products as quintagroup.seoptimizer (for defining
+canonical link of the object) and quintagroup.plonegooglesitemaps (on
 google sitemaps generation).
 
-This package intended for bring *canonical_path* and/or
-*canonical_link* property to any traversable object. For that it
-defines ICanonicalPath and ICanonicalLink interfaces, and register
+This package is intended for bringing *canonical_path* and/or
+*canonical_link* property to any traversable object. For that purpose
+it defines ICanonicalPath and ICanonicalLink interfaces, and registers
 basic adapters for ITraversable objects.
 
-Also package register *canonical_path* and *canonical_link* indexers
+This package also registers *canonical_path* and *canonical_link* indexes
 for possible usage in catalog (ZCatalog).
 
 Default adapters behaviour:
 
-  - *canonical_path* return path from portal root, i.e. for
-    `/plone/front-page` *canonical_path* will be `/front-page`.
-  - *canonical_link* return absoulute url of the object.
+  - *canonical_path* returns path from portal root, i.e. for `/plone/front-page` *canonical_path* will be `/front-page`.
+  - *canonical_link* returns absoulute url of the object.
Index: quintagroup.canonicalpath/trunk/setup.py
===================================================================
--- quintagroup.canonicalpath/trunk/setup.py	(revision 2151)
+++ quintagroup.canonicalpath/trunk/setup.py	(revision 2154)
@@ -2,10 +2,10 @@
 import os
 
-version = '0.6dev'
+version = '0.6'
 
 tests_require=['zope.testing']
 setup(name='quintagroup.canonicalpath',
       version=version,
-      description="Bring canonical path calculation functionality",
+      description="Brings canonical path calculation functionality",
       long_description=open("README.txt").read() + "\n" +
                        open(os.path.join("docs", "HISTORY.txt")).read(),