Index: loneDropDownMenu/branches/plone4/trunk/skins/qPloneDropDownMenu/drop_down.css
===================================================================
--- /qPloneDropDownMenu/branches/plone4/trunk/skins/qPloneDropDownMenu/drop_down.css	(revision 2184)
+++ 	(revision )
@@ -1,160 +1,0 @@
-/* <dtml-call "REQUEST.set('portal_url', portal_url())"> (not this either :) */
-
-body {
-  behavior:url("csshover.htc");
-}
-
-
-/*             ------  Basic style  ------             */
-#portal-globalnav ul {
-        margin: 0;
-        padding: 0;
-        border: 0;
-        list-style-type: none;
-}
-
-#portal-globalnav li {
-        margin: 0;
-        padding: 0;
-        border: 0;
-        display: inline;
-        float: left;
-        z-index: 10000;
-        position: relative;
-}
-
-#portal-globalnav a {
-        float: left;/* \*/float: none;/*  */
-        display: block;
-}
-
-#portal-globalnav li ul {
-        visibility: hidden;
-        position: absolute;
-        width: 20em;
-}
-
-#portal-globalnav li ul li {
-        width: 100%;
-        display: block;
-        float: left;
-        position: static;
-}
-
-#portal-globalnav li ul li a {
-        width: 100%;
-}
-
-html>body #portal-globalnav li ul li {
-        float: none;
-        position: relative;
-}
-
-#portal-globalnav .csshover li ul li:hover {
-        position: relative;
-}
-
-
-/* fix the position */
-#portal-globalnav li ul li ul {
-        top: 0;
-        left: 100%;
-}
-
-
-
-/* simulate child selector for IE */
-div#portal-globalnav .csshover li:hover ul, #portal-globalnav .csshover li:hover li:hover ul, #portal-globalnav .csshover li:hover li:hover li:hover ul, #portal-globalnav .csshover li:hover li:hover li:hover li:hover ul {
-        visibility: visible;
-}
-#portal-globalnav .csshover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li:hover li:hover li ul {
-        visibility: hidden;
-}
-
-/* do the normal show, with increased specificity */
-#portal-globalnav ul#portal-globalnavList .csshover li:hover > ul {
-       visibility: visible;
-}
-
-/*     ------   Make-up --------            */
-
-#portal-globalnav li.invisibleHeightKeeper {
-        visibility: hidden;
-        float: none;
-}
-
-#portal-globalnav .csshover ul li ul li a:hover,
-#portal-globalnav .csshover ul li ul li:hover a {
-        color: #436976;
-}
-
-#portal-globalnav ul li ul li a {
-        border-style: none;
-        margin-right: 0em;
-}
-
-#portal-globalnav ul li ul {
-        border: &dtml-borderWidth; &dtml-borderStyle; &dtml-globalBorderColor;;
-        padding-bottom: 1px;
-        overflow: hidden;
-}
-
-#portal-globalnav .csshover ul li:hover ul li:hover ul  a {
-        color: #436976;
-}
-
-/* latest changes */
-
-#portal-globalnav ul {
-        font-size:8pt;
-        list-style-type:none;
-        list-style-image:none;
-}
-
-#portal-globalnav ul li {
-        padding:0;
-        margin:0;
-        line-height:normal;
-}
-
-#portal-globalnav ul li.selected a,
-#portal-globalnav .csshover ul li a:hover {
-        background-color:#436976;
-        color:#436976;
-}
-
-#portal-globalnav .csshover ul li:hover ul {
-        margin:0;
-        border: 1px solid #8cacbb;
-        background-color: White;
-        overflow:visible;
-}
-
-#portal-globalnav .csshover ul li:hover ul li {
-        padding:0;
-        margin:0;
-}
-
-#portal-globalnav .csshover ul li:hover ul li a {
-        color: #436976 !important;
-        margin:0;
-        line-height:normal;
-        width:auto;
-}
-
-#portal-globalnav .csshover ul li ul li a:hover {
-        background-image:none;
-}
-
-.kupu-fulleditor-zoomed #portal-globalnav {
-        display: none;
-}
-
-/*Configlet styles************************************************************/
-
-.ieVisible {display:none;}
-
-* html .ieHidden {display: none;}
-
-* html .ieVisible {display: block;}
-