Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/__init__.py
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/__init__.py	(revision 2260)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/__init__.py	(revision 2261)
@@ -2,4 +2,22 @@
 from quintagroup.referencedatagridfield._field import ReferenceDataGridWidget
 
+from Products.CMFCore.permissions import AddPortalContent
+from Products.CMFCore.utils import ContentInit
+from Products.Archetypes.atapi import listTypes
+from Products.Archetypes.atapi import process_types
+
+PKG_NAME = 'quintagroup.referencedatagridfield'
+
 def initialize(context):
     """Initializer called when used as a Zope 2 product."""
+    # Example content type initialization
+    import quintagroup.referencedatagridfield.examples
+    content_types, constructors, ftis = process_types(listTypes(PKG_NAME), PKG_NAME,)
+
+    ContentInit(
+        '%s Content' % PKG_NAME,
+        content_types = content_types,
+        permission = AddPortalContent,
+        extra_constructors = constructors,
+        fti = ftis,
+        ).initialize(context)
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/configure.zcml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/configure.zcml	(revision 2260)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/configure.zcml	(revision 2261)
@@ -19,3 +19,11 @@
       />
 
+  <genericsetup:registerProfile
+      name="examples"
+      title="ReferenceDataGridField Example"
+      directory="profiles/examples"
+      description="Installs the examples quintagroup.referencedatagridfield package content types"
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
 </configure>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/ReferenceDataGridDemoType.py
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/ReferenceDataGridDemoType.py	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/ReferenceDataGridDemoType.py	(revision 2261)
@@ -0,0 +1,27 @@
+from AccessControl import ClassSecurityInfo
+
+from Products.Archetypes.public import *
+from Products.ATContentTypes.content.base import ATCTContent
+
+
+from quintagroup.referencedatagridfield import PKG_NAME
+from quintagroup.referencedatagridfield import ReferenceDataGridField
+from quintagroup.referencedatagridfield import ReferenceDataGridWidget
+
+class ReferenceDataGridDemoType(ATCTContent):
+    """ Simple ReferenceDataGridField demo."""
+    security = ClassSecurityInfo()
+    schema = BaseSchema + Schema((
+
+        ReferenceDataGridField('DemoReferenceDataGridField',
+            schemata='default',
+            widget = ReferenceDataGridWidget(
+                label = "Reference DataGrid Field(s)",
+                visible = {'edit' : 'visible', 'view' : 'visible'}
+            )
+        ),
+    ))
+
+    meta_type = portal_type = archetype_name = 'ReferenceDataGridDemoType'
+
+registerType(ReferenceDataGridDemoType, PKG_NAME)
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/__init__.py
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/__init__.py	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/examples/__init__.py	(revision 2261)
@@ -0,0 +1,1 @@
+import ReferenceDataGridDemoType
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/factorytool.xml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/factorytool.xml	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/factorytool.xml	(revision 2261)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_factory" meta_type="Plone Factory Tool">
+  <factorytypes>
+    <type portal_type="ReferenceDataGridDemoType" />
+  </factorytypes>
+</object>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/metadata.xml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/metadata.xml	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/metadata.xml	(revision 2261)
@@ -0,0 +1,3 @@
+<metadata>
+ <version>0.1</version>
+</metadata>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types.xml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types.xml	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types.xml	(revision 2261)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="portal_types" meta_type="Plone Types Tool">
+  <object name="ReferenceDataGridDemoType"
+    meta_type="Factory-based Type Information with dynamic views" />
+</object>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types/ReferenceDataGridDemoType.xml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types/ReferenceDataGridDemoType.xml	(revision 2261)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/profiles/examples/types/ReferenceDataGridDemoType.xml	(revision 2261)
@@ -0,0 +1,31 @@
+<?xml version="1.0"?>
+<object name="ReferenceDataGridDemoType"
+   meta_type="Factory-based Type Information with dynamic views"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+  <property name="title">ReferenceDataGridDemoType</property>
+  <property name="description">ReferenceDataGrid Demo Type</property>
+  <property name="content_meta_type">ReferenceDataGridDemoType</property>
+  <property name="content_icon">document_icon.gif</property>
+  <property name="product">quintagroup.referencedatagridfield</property>
+  <property name="factory">addReferenceDataGridDemoType</property>
+  <property name="immediate_view">atct_edit</property>
+  <property name="global_allow">True</property>
+  <property name="filter_content_types">False</property>
+  <property name="allow_discussion">False</property>
+  <property name="default_view">base_view</property>
+  <property name="view_methods">
+    <element value="base_view" />
+  </property>
+  <alias from="(Default)" to="(dynamic view)" />
+  <alias from="edit" to="atct_edit" />
+  <alias from="sharing" to="@@sharing" />
+  <alias from="view" to="(selected layout)" />
+  <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/" visible="True">
+    <permission value="View" />
+  </action>
+  <action title="Edit" action_id="edit" category="object" condition_expr=""
+    url_expr="string:${object_url}/edit" visible="True">
+    <permission value="Modify portal content" />
+  </action>
+</object>