Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/_field.py
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/_field.py	(revision 2290)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/_field.py	(revision 2291)
@@ -21,4 +21,5 @@
 from quintagroup.referencedatagridfield.columns import BlockColumn
 from quintagroup.referencedatagridfield.columns import HiddenColumn
+from quintagroup.referencedatagridfield.columns import StyledColumn
 
 # Logger object
@@ -35,5 +36,10 @@
         'force_close_on_insert': True,
         'columns': {
-            'title': Column("Title"), 
+            'title': StyledColumn("Title", trigger_key="title_changed",
+                                  blur_handler="triggerTitleClass",
+                                  focus_handler="triggerOnFocusStyles",
+                                  class_no=None,
+                                  class_changed="changed-title-field",
+                                  class_not_changed="not-changed-title-field"),
             'link': BlockColumn("Link", column_on_class="hidden-field",
                                 columns=['link','uid'], read_only=True),
@@ -157,5 +163,9 @@
                 # If title not set - get it from the brain
                 if not data["title"]:
+                    data["title_changed"] = False
                     data["title"] = self._brains_title_or_id(b, instance)
+                else:
+                    data["title_changed"] = True
+
 
         return result
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencebrowser.js
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencebrowser.js	(revision 2290)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencebrowser.js	(revision 2291)
@@ -1,2 +1,53 @@
+// function to change class attribute for object
+function triggerTitleClass(e) {
+    var currnode = window.event ? window.event.srcElement : e.currentTarget;
+    
+	// fetch required data structure   
+    var element = getThisOrParentElement(currnode, "INPUT");
+    // If no input tag found - leave function
+    if (element == null || element.tagName.toUpperCase() == "BODY")
+	return;
+    
+    var current = element.value;
+    var initial = element.getAttribute("initial_value");
+    if (initial == null || current == null)
+	return;
+
+    if (initial == current) {
+	element.setAttribute("CLASS", "not-changed-title-field")
+    } else {
+	element.setAttribute("CLASS", "changed-title-field")
+    }
+}
+
+// Trigger styles on focusing on the element
+function triggerOnFocusStyles(e) {
+    var currnode = window.event ? window.event.srcElement : e.currentTarget;
+    
+	// fetch required data structure   
+    var element = getThisOrParentElement(currnode, "INPUT");
+    // If no input tag found - leave function
+    if (element == null || element.tagName.toUpperCase() == "BODY")
+	return;
+    element.setAttribute("CLASS", "changed-title-field")
+}
+
+function getThisOrParentElement(currnode, tagname) {
+    /* Find the first parent node with the given tag name */
+
+    tagname = tagname.toUpperCase();
+    var parent = currnode;
+
+    while(parent.tagName.toUpperCase() != tagname) {
+        parent = parent.parentNode;
+        // Next line is a safety belt
+        if(parent.tagName.toUpperCase() == "BODY") 
+            return null;
+    }
+
+    return parent;
+}
+
+
 // function to open the popup window
 function getOrderIndex(currnode) {
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagridwidget.css.dtml
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagridwidget.css.dtml	(revision 2290)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagridwidget.css.dtml	(revision 2291)
@@ -19,4 +19,12 @@
 }
 
+input.not-changed-title-field {
+        color: gray;
+}
+
+input.changed-title-field {
+        color: black;
+}
+
 /* 
   </dtml-with>  (end of loaded base_properties variables)